This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 786238 - segfault in garbage collection
segfault in garbage collection
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ruby (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On: 786229
Blocks: 786231
  Show dependency treegraph
 
Reported: 2012-01-31 14:39 EST by Matt Wagner
Modified: 2014-08-17 18:27 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 786229
Environment:
Last Closed: 2012-08-07 12:42:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matt Wagner 2012-01-31 14:39:23 EST
+++ This bug was initially created as a clone of Bug #786229 +++

Description of problem: ruby segfaults in garbage collection
In deltacloud development, we've been plagued by the exact same 
problem documented here:

http://bugs.ruby-lang.org/issues/4339

Version-Release number of selected component (if applicable):
ruby-1.8.7.357-1.fc15

How reproducible: every time


Steps to Reproduce:
1. run the reproducer from the above URL:
   http://bugs.ruby-lang.org/attachments/1446/REPRO4.rb
2.
3.
  
Actual results: segfault


Expected results: no segfault
 

Additional info:

--- Additional comment from meyering@redhat.com on 2012-01-31 13:53:56 EST ---

ps, I built ruby-1.8.7.352-3 but with that added patch[0],
and confirmed that the segfault we'd been getting every time
via deltacloudd is no longer appearing.

[0] http://bugs.ruby-lang.org/attachments/2243/ruby-1.8.7-marshal.patch
Comment 1 Matt Wagner 2012-01-31 14:40:15 EST
This is also happening on F16: https://bugzilla.redhat.com/show_bug.cgi?id=786231
Comment 2 Vít Ondruch 2012-06-15 05:48:37 EDT
The fix was applied into 1.8.7 branch [1] and will be available in next patch release, which should come soon.


[1] http://bugs.ruby-lang.org/projects/ruby-187/repository/revisions/34867
Comment 3 Fedora End Of Life 2012-08-07 12:42:44 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.